Bug 29749 - [aic7xxx] appears to crash formatting filesystem
[aic7xxx] appears to crash formatting filesystem
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-27 10:29 EST by John Bloodworth
Modified: 2007-04-18 12:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 16:34:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback pump from anaconda for python debugging (10.12 KB, text/plain)
2001-03-02 09:43 EST, John Bloodworth
no flags Details

  None (edit)
Description John Bloodworth 2001-02-27 10:29:20 EST
I am seeing simuar behivaor to bugs 29562,29555, and 29266. I have not
atempted to install fisher on the box however I will do this tonight. 
guinness install with no issues.  wolverene will write the partation table
and appers to crash when starting to format.  I can go back and reinstall
guiness with no issues.  then if I try an upgrade install the install
appers to crash as soon as data is written to the hardrive.  

Card is a 2930 (retail) 
cpu is amd k6 II 500
all ide is disabled.
seagate 8 gig hd
nec cdrom 
384 meg ram

this is one of my boxes at home I will post the exact error when I get home
tonight.
Comment 1 Michael Fulbright 2001-02-27 11:43:30 EST
Appears to be a kernel issue.
Comment 2 Michael K. Johnson 2001-02-28 15:47:57 EST
Changing to NEEDINFO while waiting for exact error info
Comment 3 John Bloodworth 2001-03-01 23:35:09 EST
oops I forgot to use my work account (john.b@redhat.com) here is what I see ont 
the debug (f4) screen.  I was mistaken it was not a kerne oops it was a kernel 
panic. with the intriupt handler. and a stack dump on the swapper process.  

crap on a second atempt tonight I got an anaconda trace back error with all pnp 
disalbled. 

with PnP re-enabled, I am back to scsi reset and timeout errors.
Comment 4 Doug Ledford 2001-03-02 03:58:02 EST
Arghhh....I need accurate bug reports....now you've reported four different
failures in a single bug report without giving specific details for a single
one.

OK.  With the PnP BIOS options enabled (I'm assuming you mean the "OS is PnP"
type BIOS settings), you get SCSI resets and timeouts?  Or do you get a kernel
panic?  And what is the panic you get? Or, if it's resets, then does the machine
ever even find your hard drives or does it start the reset loop before you even
get into disk druid?

With PnP BIOS options disabled you get an Anaconda traceback?  If so, what's the
traceback?
Comment 5 John Bloodworth 2001-03-02 09:39:36 EST
1 all drives are seen at post... and RH7 works fine.

ok yes with pnp enabled in bios and  "devices controled by = auto" ( at least I think that is what the option said) i get scsi bus reset errors. and eventuly I might get a kernel panic 
if I change PnPos to no and leave the devices controled by to auto the system appers to go through the timeout cycle once.  and the I get the kernel panic with errors in the inturput handler.

if I then go back and disable anything remotly resembling PnP including changing the devices controled by to manual.  I get the anaconda errors. 

This happens just as anaconda should either write fiels( on an upgrade) or format the first partition.  DiskDruid and fdisk will read the partition and do not apper to cause any scsi bus issues.  on a format the problems occure when writting the first inode to partition /dev/sda1

if I switch to an install dependecys are resolved and the crash occurs when writting the first package to disk.

here is the general layout of the partitionioning on the drive.

/dev/sda1 	/boot		~20 meg
/dev/sda2 	/var/local	~2 gig
/dev/sda5	[swap]		~128 meg
/dev/sda6	/		~6 gig
hope that helps... I will atach the traceback from anaconda.

Comment 6 John Bloodworth 2001-03-02 09:43:10 EST
Created attachment 11560 [details]
Traceback pump from anaconda for python debugging
Comment 7 Erik Troan 2001-03-02 09:45:38 EST
Can you "ls -l /mnt/sysimage" after it crashes and tell me what you get?
Comment 8 John Bloodworth 2001-03-02 09:57:07 EST
I will try that whe I get home tonight... however normal the system is total locked and I get no response from my keyboard.  But I will see what happens.
Comment 9 Erik Troan 2001-03-02 10:24:42 EST
How did you capture that trace if the screen is locked?
Comment 10 John Bloodworth 2001-03-02 21:41:24 EST
system did not lock with all pnp disabled.

with all PmP enabled as mentioned earler the system again had a kernel panic

On the first reboot after disabling PnP Anaconda starts and exits with a signal 
7.

for some starange reasion /mnt/sysimage is missing and manualy 
adding /mnt/syssimage dose nothing

Comment 11 Need Real Name 2001-05-17 16:30:15 EDT
I'm try to install RH7.1 in to my IBM PC Server 330 PII 128Mb ram, it have an 
IBM ServeRAID AIC7880 based, and at format swap partition the system hang. I've 
try to reinstall it and I've increment the swap partition size (512Mb) and the 
install can format the swap partition, but when the system install the rpms 
package the system report a bad reading error or bad media error. I've look the 
system status and the result is some I/O errors and the cd-rom is unmounted. 
I now have reinstall my RH7.0 and work very fine...
Comment 12 Bradley D. Thornton 2001-06-21 16:28:21 EDT
At the end of the GUI install, the bar displaying post install configuration 
comes to rest at the end but the system does not reboot. Cycling the box w/the 
power on/off button is a very ungraceful way to force an e2fsck on a brand new 
system ;)

Aside from that, it all looks good, except that the prompt is reporting 2.4.2-
2smp for the Kernal version. I installed the SMP package, but haven't tweaked 
LILO yet. Do I still need to modify /etc/lilo.conf and set the defaul to: linux-
smp?

Thanks,

Bradley D. Thornton.
http://www.PacificRoot.com
Comment 13 Need Real Name 2001-06-21 16:34:05 EDT
I have similar problem to palluk@libero.it. Adaptec AIC-7890 and two Ultra2 
SCSI disks, IBM 4Gb + Seagate 8 Gb. Installing 7.1 with autoformat of 
partitions and formats partitions OK (/, /boot, /usr, /var) but fails 
when "formatting swap space".  On the install log, the last two messages are: * 
Detected 192M of memory & * Swap attempt of 192M to 384M. Ctl-alt-F4 gives me a 
screen full of message pairs: <6> Device 0b:00 not ready <4> I/O error: dev 
0b:00, sector 1166792 (but this sector address is different each time). 
However, other partitions are OK - why should the swap space be the only one on 
the bad disk? Also, I heard that swap space greater than 256Mb gives problems. 
Could it be that?

Comment 14 Doug Ledford 2001-08-24 14:33:46 EDT
I'm closing this bug out.  John, if the problem still exists in the current
release, then open a new bug report.  To the other posters, your problems aren't
related to this bug, please open a different bug report if your problems aren't
resolved.

Note You need to log in before you can comment on or make changes to this bug.